#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  fdk-aac-2.0.3

- Next

  frei0r-3.1.1

- Up
- Home

# FLAC-1.5.0

## Introduction to FLAC

FLAC is an audio CODEC similar to MP3, but lossless, meaning that audio is compressed without losing any information.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/xiph/flac/releases/download/1.5.0/flac-1.5.0.tar.xz

- Download MD5 sum: 0bb45bcf74338b00efeec121fff27367

- Download size: 1.1 MB

- Estimated disk space required: 25 MB (additional 170 MB to run the test suite)

- Estimated build time: 0.2 SBU (additional 0.2 SBU to run the test suite)

### FLAC Dependencies

#### Optional

libogg-1.3.6, DocBook-utils-0.6.14, Doxygen-1.17.0, and Valgrind-3.26.0

## Installation of FLAC

Install FLAC by running the following commands:

    ./configure --prefix=/usr            \
                --disable-thorough-tests \
                --docdir=/usr/share/doc/flac-1.5.0 &&
    make

To test the results, issue: make check. Note that if you passed the `--enable-exhaustive-tests` and `--enable-valgrind-testing` parameters to configure and then run the test suite, it will take a very long time (up to 300 SBUs) and use about 375 MB of disk space.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-thorough-tests`: This parameter is used so that the test suite will complete in a reasonable amount of time. Remove it if you desire more extensive tests.

## Contents

Installed Programs: flac and metaflac
Installed Libraries: libFLAC.so and libFLAC++.so
Installed Directories: /usr/include/FLAC, /usr/include/FLAC++ and /usr/share/doc/flac-1.5.0

### Short Descriptions

flac | is a command-line utility for encoding, decoding and converting FLAC files
metaflac | is a program for listing, adding, removing, or editing metadata in one or more FLAC files
`libFLAC{,++}.so` | these libraries provide native FLAC and Ogg FLAC C/C++ APIs for programs utilizing FLAC

- Prev

  fdk-aac-2.0.3

- Next

  frei0r-3.1.1

- Up
- Home